Summary:	NNTP news exchange utility
Summary(pl.UTF-8):	Narzędzie do wymiany newsów po NNTP
Name:		newsx
Version:	1.6
Release:	4
License:	GPL v2+
Group:		Networking/News
Source0:	ftp://ftp.tin.org/pub/news/utils/newsx/%{name}-%{version}.tar.gz
# Source0-md5:	ad9c76c53d5c7d21d86bec805fe8cd34
Patch0:		%{name}-make.patch
Patch1:		%{name}-stack.patch
Patch2:		%{name}-quotes.patch
Patch3:		%{name}-automake.patch
# no longer exists
#URL:		http://www.kvaleberg.com/newsx.html
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	inn-devel
Requires:	inn
Provides:	news-sucker
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Newsx is an NNTP client that will connect to a remote NNTP server and
post outgoing news articles batched by the news system (e.g. INN), as
well as fetch incoming articles.

%description -l pl.UTF-8
Newsx jest klientem NNTP który łączy się ze zdalnym serwerem i wysyła
wychodzące artykuły zgromadzone przez system newsów (np. INN) oraz
pobiera przychodzące artykuły.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
# 1.6 sources not ready for -fno-common
CFLAGS="%{rpmcflags} -fcommon"
# `innconfval -s` inaccessible for builder - pass everything explicitly
%configure \
	HISTORY="/var/lib/news/history" \
	INCOMING="/var/spool/news/incoming" \
	LOCKS="/var/run/news" \
	NEWSBIN="/usr/bin" \
	NEWSFEEDS="/etc/news/newsfeeds" \
	NEWSHOME="/usr" \
	NEWSLIB="/usr/share/news" \
	PATHETC="/etc/news" \
	PATHSPOOL="/var/spool/news" \
	--with-inhosts=/var/spool/news/inhosts \
	--with-newsconfig=/usr/share/news/innshellvars \
	--with-newsinclude=/usr/include/inn \
	--with-newslib=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS FAQ NEWS README TODO
%attr(755,root,root) %{_bindir}/newsq
%attr(755,root,root) %{_bindir}/newsx
%attr(770,root,news) %dir /var/spool/news/inhosts
%{_mandir}/man1/newsq.1*
%{_mandir}/man5/in.hosts.5*
%{_mandir}/man5/newsx.conf.5*
%{_mandir}/man8/newsx.8*
%changelog
* Fri Aug 25 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/newsx.git;a=log;h=master

* Fri Aug 25 2023 Jakub Bogusz <qboosh@pld-linux.org> 018303c
- release 4 (inn 2.7.1)

* Tue Jan 24 2023 Jakub Bogusz <qboosh@pld-linux.org> d0318c9
- use -fcommon to allow build with gcc 10+; release 3

* Sun Sep 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 2cfc516
- added stack,quotes security patches (from Fedora)
- added automake patch (fix for am 1.6+, from Fedora)
- updated Source0 URL, release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c13ffde
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 46b3c0d
- converted to UTF-8

* Wed Mar 01 2006 Elan Ruusamäe <glen@pld-linux.org> 3db3f4e
- adapterized (killed trailing spaces/tabs)

* Sat Nov 01 2003 Jakub Bogusz <qboosh@pld-linux.org> f3dad07
- updated to 1.6,
- changed make patch (no -lnsl, workaround circular libinnhist<>libstorage deps)
- pass inn paths explicitly - innconfval is inaccessible for normal users

* Fri Jul 11 2003 Jakub Bogusz <qboosh@pld-linux.org> 02fbdcb
- updated URLs, fixed %doc

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 36dd9bc
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> f13df60
- massive attack s/pld.org.pl/pld-linux.org/

* Wed Nov 27 2002 juandon <witekfl@pld-linux.org> a7fc94a
- new %doc

* Wed May 22 2002 kloczek <kloczek@pld-linux.org> 17a8b76
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

* Sat Feb 23 2002 kloczek <kloczek@pld-linux.org> 4a84503
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

* Fri Jan 18 2002 kloczek <kloczek@pld-linux.org> adcffd4
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

* Thu Oct 11 2001 Jakub Bogusz <qboosh@pld-linux.org> 7a4880b
- adapterized, pl translations, BuildRequires: autoconf

* Sat Dec 09 2000 Jacek Konieczny <jajcus@pld-linux.org> 67549aa
- file owners fixed (semi-automatically)
  (no special user (like http/news) should own his home directory nor
  files it doesn't create)

* Sun Nov 12 2000 kloczek <kloczek@pld-linux.org> 44e4b64
- modyfications for using neew rpm automation.

* Fri Jun 09 2000 kloczek <kloczek@pld-linux.org> e0a4ff7
- more %{__make} macros.

* Fri Jun 09 2000 kloczek <kloczek@pld-linux.org> 879f105
- added using %{__make} macro.

* Wed Jun 07 2000 kloczek <kloczek@pld-linux.org> c0241ce
- spec adapterized.

